Skip to content

ItcInstallation⁠

Perform various operations for Symitar parameters.

Operations⁠

getItcInstallationSelectFields⁠

POST

Execute the persistent ParameterService getItcInstallationSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ItcInstallationItcInstallationintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getItcInstallationSelectFields
POST /nexum/627/persistent/parameter/getItcInstallationSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "ItcInstallationItcInstallation": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllItcInstallationFields": true,
    "ItcInstallationFields": {
      "BranchList": true,
      "DefinedCode": true,
      "ItcEnabled": true,
      "ItcInstallation": true,
      "TargetPath": true,
      "TimeOutinMinutes": true,
      "VoidEnabled": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getItcInstallationPagedListSelectFields⁠

POST

Execute the persistent ParameterService getItcInstallationPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getItcInstallationPagedListSelectFields
POST /nexum/627/persistent/parameter/getItcInstallationPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllItcInstallationFields": true,
    "ItcInstallationFields": {
      "BranchList": true,
      "DefinedCode": true,
      "ItcEnabled": true,
      "ItcInstallation": true,
      "TargetPath": true,
      "TimeOutinMinutes": true,
      "VoidEnabled": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchItcInstallationPagedSelectFields⁠

POST

Execute the persistent ParameterService searchItcInstallationPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchItcInstallationPagedSelectFields
POST /nexum/627/persistent/parameter/searchItcInstallationPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllItcInstallationFields": true,
    "ItcInstallationFields": {
      "BranchList": true,
      "DefinedCode": true,
      "ItcEnabled": true,
      "ItcInstallation": true,
      "TargetPath": true,
      "TimeOutinMinutes": true,
      "VoidEnabled": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateItcInstallationByID⁠

POST

Execute the persistent ParameterService updateItcInstallationByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ItcInstallationItcInstallationintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateItcInstallationByID
POST /nexum/627/persistent/parameter/updateItcInstallationByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "ItcInstallationItcInstallation": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "ItcInstallationFields": {
    "BranchList": {
      "Bit": [
        0
      ]
    },
    "DefinedCode": 0,
    "ItcEnabled": true,
    "ItcInstallation": 0,
    "TargetPath": "string",
    "TimeOutinMinutes": 0,
    "VoidEnabled": true
  },
  "nxAttributes": {
    "customFields": {}
  }
}